## kiten 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.16 )

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

#Name the project
project(kiten VERSION ${RELEASE_SERVICE_VERSION})

#ECM setup
set(KF_MIN_VERSION "6.3.0")
set(QT_REQUIRED_VERSION "6.5.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(CheckIncludeFiles)
include(ECMGenerateHeaders)
include(ECMAddAppIcon)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Core DBus Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    KIO
    XmlGui)

add_definitions(-DTRANSLATION_DOMAIN=\"kiten\")

## Build each subdir
add_subdirectory( app )
add_subdirectory( data/font )
add_subdirectory( data/pics )
add_subdirectory( doc )
add_subdirectory( kanjibrowser )
add_subdirectory( lib )
add_subdirectory( radselect )

install(FILES org.kde.kiten.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

## Install our datafiles
install( FILES data/edict data/kanjidic data/radkfile data/vconj data/romkana.cnv DESTINATION ${KDE_INSTALL_DATADIR}/kiten )

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== lib/CMakeLists.txt ===
############# kitenlib #################
set(KITEN_LIB_VERSION "6.0.0")
set(KITEN_LIB_SOVERSION "6")

add_library(kiten)
set_target_properties(kiten PROPERTIES
    VERSION ${KITEN_LIB_VERSION}
    SOVERSION ${KITEN_LIB_SOVERSION}
)

target_sources(kiten PRIVATE
    DictEdict/deinflection.cpp
    DictEdict/dictfileedict.cpp
    DictEdict/entryedict.cpp
    DictEdict/linearedictfile.cpp
    DictEdict/dictfilefieldselector.cpp

    DictKanjidic/dictfilekanjidic.cpp
    DictKanjidic/entrykanjidic.cpp

    dictionarymanager.cpp
    dictionarypreferencedialog.cpp
    dictquery.cpp
    entry.cpp
    entrylist.cpp
    historyptrlist.cpp
)

generate_export_header(kiten)

target_link_libraries(kiten
    PUBLIC
        KF6::Completion
        Qt::Widgets
        Qt::Core
    PRIVATE
        KF6::ConfigCore
        KF6::ConfigGui
        KF6::CoreAddons
        KF6::I18n
        KF6::WidgetsAddons
)

install( TARGETS kiten  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

############ install headers #############
install( FILES
		dictionarymanager.h
		dictionarypreferencedialog.h
		dictquery.h
		entry.h
		entrylist.h
		historyptrlist.h
	  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkiten COMPONENT Devel
		)
install(FILES
        DictEdict/dictfileedict.h
        DictEdict/entryedict.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkiten/DictEdict COMPONENT Devel)
install(FILES
        DictKanjidic/dictfilekanjidic.h
        DictKanjidic/entrykanjidic.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkiten/DictKanjidic COMPONENT Devel)

=== debian/changelog ===
kiten (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:43:34 +0000

kiten (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:18:20 +0000

## kiten 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required( VERSION 3.16 )
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Add lintian override for GUI programs not shipping a manual, there’s
    none upstream and the programs have a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:04 +0200

kiten (4:24.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2).
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 22:46:22 +0100

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6archive-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kiten/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiten
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiten.git

Package: kiten
Architecture: any
Depends: edict,
         fonts-kanjistrokeorders,
         fonts-vlgothic | fonts-japanese-gothic,
         kanjidic,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# do not ship development stuff
	rm -rf debian/kiten/usr/include/
	find debian/kiten -type l -name '*.so' -delete
	# use the system font from fonts-kanjistrokeorders
	rm -f debian/kiten/usr/share/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf
	# at the end, remove empty directories
	find debian/kiten -type d -empty -delete

## kiten 25.04.1

=== debian/changelog ===
kiten (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:08:38 +0100

kiten (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:46 +0100

## kiten 25.04.2

=== debian/changelog ===
kiten (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:48:43 +0100

## kiten 25.04.3

=== debian/changelog ===
kiten (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:45:58 +0100

## kiten 25.07.80

=== debian/changelog ===
kiten (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:13:36 +0100

## kiten 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:48:35 +0100

## kiten 25.08.0

=== debian/changelog ===
kiten (4:25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:10:51 +0000

kiten (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:48:13 +0000

kiten (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:24:49 +0000

kiten (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:25:18 +0000

kiten (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:15:09 +0000

kiten (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:21:08 +0000

kiten (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:41:51 +0000

kiten (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:29:50 +0000

kiten (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:21:48 +0000

kiten (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:17:16 +0000

kiten (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:24:38 +0000

kiten (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:03:36 +0000

kiten (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:33:40 +0000

kiten (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:35:30 +0000

kiten (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:11:46 +0000

kiten (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:32:51 +0000

kiten (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:23:27 +0000

kiten (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:16:03 +0000

kiten (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:55:28 +0000

kiten (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 12:51:45 +0000

kiten (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:30:34 +0000

kiten (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:59:11 +0000

kiten (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:59:56 +0000

kiten (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:32:19 +0000

kiten (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:23:18 +0000

kiten (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:53:21 +0000

kiten (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:30:47 +0000

kiten (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:37:11 +0000

kiten (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:59:25 +0000

kiten (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:48:36 +0000

kiten (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:00:37 +0000

kiten (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:48:15 +0000

kiten (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:09:46 +0000

kiten (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:05:58 +0000

kiten (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:19:44 +0000

kiten (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:05:47 +0000

kiten (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:04:51 +0000

kiten (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021.12.24:29 +0000

kiten (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:57:05 +0000

kiten (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:06 +0000

kiten (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:43:50 +0000

kiten (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:55:54 +0000

kiten (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:25:29 +0000

kiten (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:04 +0000

kiten (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:23:17 +0000

kiten (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:01:20 +0000

kiten (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:13:55 +0000

kiten (4:20.12.1-0neon) focal; urgency=medium

  * New release



## kiten 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== app/CMakeLists.txt ===
############## kiten binary #############

add_executable(kiten_bin)
set_target_properties(kiten_bin PROPERTIES
    OUTPUT_NAME kiten
    IMPORT_PREFIX bin_
)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KITEN VERSION_HEADER kiten_version.h)

target_sources(kiten_bin PRIVATE
    configdictionaryselector.cpp
    configdictionaryselector.h
    configsortingpage.cpp
    configsortingpage.h
    configuredialog.cpp
    configuredialog.h
    dictionaryupdatemanager.cpp
    dictionaryupdatemanager.h
    entrylistmodel.cpp
    entrylistmodel.h
    entrylistview.cpp
    entrylistview.h
    kiten.cpp
    kiten.h
    main.cpp
    resultsview.cpp
    resultsview.h
    searchstringinput.cpp
    searchstringinput.h

    kiten.qrc
)
ki18n_wrap_ui(kiten_bin
    configdictselect.ui
    configfont.ui
    configsearching.ui
    configsorting.ui
)
kconfig_add_kcfg_files( kiten_bin kitenconfig.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pics/*-apps-kiten.png")
ecm_add_app_icon(kiten_bin ICONS ${ICONS_SRCS})

target_link_libraries(kiten_bin
    KF6::Archive
    KF6::ConfigWidgets
    KF6::Crash
    KF6::I18n
    KF6::KIOCore
    KF6::XmlGui
    kiten
)

install( TARGETS kiten_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( PROGRAMS org.kde.kiten.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES kiten.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} )

=== radselect/CMakeLists.txt ===
############### radselect target ###############

add_executable(radselect_bin)
set_target_properties(radselect_bin PROPERTIES
    OUTPUT_NAME kitenradselect
)

target_sources(radselect_bin PRIVATE
    buttongrid.cpp buttongrid.h
    kanji.cpp kanji.h
    main.cpp
    radical.cpp radical.h
    radicalbutton.cpp radicalbutton.h
    radicalfile.cpp radicalfile.h
    radselect.cpp radselect.h
    radselectview.cpp radselectview.h

    radselect.qrc
)
ki18n_wrap_ui(radselect_bin
    radical_selector.ui
    radselectprefdialog.ui
)
kconfig_add_kcfg_files(radselect_bin radselectconfig.kcfgc)

target_link_libraries(radselect_bin 
    kiten 
    Qt::Core
    Qt::DBus
    Qt::Widgets
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::XmlGui
)

install( TARGETS radselect_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( PROGRAMS org.kde.kitenradselect.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== debian/changelog ===
kiten (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:54:36 +0100

kiten (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:25:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-kf6,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6archive-dev (>= 6.3.0~),
@@ -19,14 +20,15 @@
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kio-dev (>= 6.3.0~),
+               libkf6notifications-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.3.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://edu.kde.org/kiten/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiten
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiten.git
+Homepage: http://edu.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
 
 Package: kiten
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 %:
-	dh $@
+	dh $@ --with kf6
 
 execute_after_dh_auto_install:
 	# do not ship development stuff

## kiten 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:39:10 +0000

kiten (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

kiten (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:22:00 +0000

## kiten 25.08.2+p24.04+vstable+git20251011.2340

=== debian/changelog ===
kiten (4:25.08.2+p24.04+vstable+git20251011.2340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:41:04 +0000

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kiten.git
Vcs-Browser: https://invent.kde.org/neon/kde/kiten
Maintainer: Neon CI <neon@kde.org>

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: kf6-kcompletion-dev,
         libkiten6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: libkiten6
Architecture: any
Section: libs
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

## kiten 25.08.2+p24.04+vstable+git20251019.0223

=== debian/changelog ===
kiten (4:25.08.2+p24.04+vstable+git20251019.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:23:55 +0000

## kiten 25.08.2+p24.04+vstable+git20251031.0850

=== debian/changelog ===
kiten (4:25.08.2+p24.04+vstable+git20251031.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:50:42 +0000

## kiten 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:44:02 +0000

kiten (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:15 +1000

## kiten 25.08.3+p24.04+vunstable+git20251123.1146

=== debian/changelog ===
kiten (4:25.08.3+p24.04+vunstable+git20251123.1146-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:46:45 +0000

## kiten 25.08.3+p24.04+vunstable+git20251204.0538

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required( VERSION 3.16 )
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.08.3+p24.04+vunstable+git20251204.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:38:46 +0000

## kiten 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required( VERSION 3.16 )
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kiten)

=== debian/changelog ===
kiten (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:53:11 +0000

kiten (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:15:18 +0000

kiten (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:47:20 +0100

## kiten 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:07:06 +0000

## kiten 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 #Name the project

=== debian/changelog ===
kiten (4:25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:50:51 +0000

kiten (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:29 +1000

## kiten 25.12.0+p24.04+vstable+git20251226.0321

=== debian/changelog ===
kiten (4:25.12.0+p24.04+vstable+git20251226.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:22:15 +0000

## kiten 25.12.0+p24.04+vstable+git20251231.0336

=== debian/changelog ===
kiten (4:25.12.0+p24.04+vstable+git20251231.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:36:49 +0000

## kiten 25.12.1

=== debian/changelog ===
kiten (4:25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 10:26:50 +0000

kiten (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:39 +1000

## kiten 25.12.1+p24.04+vstable+git20260106.1853

=== debian/changelog ===
kiten (4:25.12.1+p24.04+vstable+git20260106.1853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:53:27 +0000

## kiten 25.12.1+p24.04+vstable+git20260127.1031

=== debian/changelog ===
kiten (4:25.12.1+p24.04+vstable+git20260127.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:31:36 +0000

## kiten 25.12.1+p24.04+vstable+git20260130.0803

=== debian/changelog ===
kiten (4:25.12.1+p24.04+vstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:04:01 +0000

## kiten 25.12.1+p24.04+vunstable+git20260131.0225

=== debian/changelog ===
kiten (4:25.12.1+p24.04+vunstable+git20260131.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:25:30 +0000

## kiten 25.12.2

=== debian/changelog ===
kiten (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:24:40 +0000

kiten (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:10:09 +0000

kiten (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:06:05 +0000

kiten (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:23:04 +0000
